Bug 448609 - gnome-display-properties insists on mirroring
gnome-display-properties insists on mirroring
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 16:20 EDT by Jack Tanner
Modified: 2008-12-12 15:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-12 15:44:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Tanner 2008-05-27 16:20:44 EDT
Description of problem:

FireGL V3400 is not recognized. glxinfo reports

name of display: :0.0
libGL: XF86DRIGetClientDriverName: 5.3.0 r300 (screen 0)
libGL: OpenDriver: trying /usr/lib64/dri/r300_dri.so
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 4, (OK)
drmOpenByBusid: Searching for BusID pci:0000:02:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 4, (OK)
drmOpenByBusid: drmOpenMinor returns 4
drmOpenByBusid: drmGetBusid reports pci:0000:02:00.0
unknown chip id 0x71d2, can't guess.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.8.0-16.fc9.x86_64
Comment 1 Dave Airlie 2008-06-03 01:11:12 EDT
this card isn't supported by F9 out of the box. a 3D driver is coming in
updates-testing quite soon.
Comment 2 Jack Tanner 2008-06-03 11:57:08 EDT
Let me know if there's a version I can test, preferably as an x86_64 RPM.
Comment 3 Jack Tanner 2008-06-30 12:06:25 EDT
Not fixed in xorg-x11-drv-ati-6.8.0-18.fc9.x86_64
Comment 4 Matěj Cepl 2008-06-30 16:36:28 EDT
Could we get output of the command

rpm -qa \*mesa\*

please?

Thank you
Comment 5 Jack Tanner 2008-06-30 17:47:44 EDT
mesa-libGLU-7.1-0.31.fc9.i386
mesa-libGLU-7.1-0.31.fc9.x86_64
mesa-libGL-7.1-0.31.fc9.i386
mesa-libGL-7.1-0.31.fc9.x86_64
Comment 6 Matěj Cepl 2008-07-01 07:29:14 EDT
Please, upgrade from updates-testing and retest:

[matej@viklef ~]$ rpm -qa \*mesa\*
mesa-libGL-7.1-0.35.fc9.i386
mesa-libGLU-devel-7.1-0.35.fc9.i386
mesa-libGL-devel-7.1-0.35.fc9.i386
mesa-libGLU-7.1-0.35.fc9.i386
[matej@viklef ~]$ 

(this package should be in updates pretty soon,
https://admin.fedoraproject.org/updates/F9/FEDORA-2008-5567)
Comment 7 Jack Tanner 2008-07-01 11:24:21 EDT
W00t! Much better. Compiz works. Dual-head spanning does not work. In
gnome-display-properties, there are two displays, but they insist on mirroring
each other.
Comment 8 Jack Tanner 2008-07-01 11:41:18 EDT
Got a kerneloops. Apologies if this needs to be a new bug.

BUG: unable to handle kernel NULL pointer dereference at 0000000000000000
IP: [<ffffffff884fd73f>] :radeon:radeon_do_cp_idle+0x169/0x1af
PGD 11178d067 PUD 11178e067 PMD 11150e067 PTE 0
Oops: 0000 [1] SMP 
CPU 1 
Modules linked in: radeon drm bridge bnep rfcomm l2cap bluetooth vmnet(P) ppdev 
parport_pc parport vmmon(P) fuse sunrpc ipt_REJECT nf_conntrack_ipv4 iptable_fil
ter ip_tables nf_conntrack_netbios_ns ip6t_REJECT xt_tcpudp nf_conntrack_ipv6 xt
_state nf_conntrack ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand po
wernow_k8 freq_table loop dm_multipath snd_hda_intel snd_seq_dummy snd_seq_oss s
nd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_t
imer firewire_ohci snd_page_alloc snd_hwdep firewire_core snd crc_itu_t k8temp h
wmon pcspkr soundcore e1000 forcedeth pata_amd usb_storage button sg i2c_nforce2
 i2c_core sr_mod cdrom dm_snapshot dm_zero dm_mirror dm_mod ata_generic pata_acp
i sata_nv libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [la
st unloaded: scsi_wait_scan]
Pid: 4929, comm: Xorg Tainted: P         2.6.25.6-55.fc9.x86_64 #1
RIP: 0010:[<ffffffff884fd73f>]  [<ffffffff884fd73f>] :radeon:radeon_do_cp_idle+0
x169/0x1af
RSP: 0018:ffff8101090d5d28  EFLAGS: 00010202
RAX: 0000000000000000 RBX: ffff8101104ba800 RCX: 0000000000023dab
RDX: 0000000000023dab RSI: 000000000003ffff RDI: ffff8101104ba800
RBP: ffff8101090d5d38 R08: ffff8101090d4000 R09: 0000000000000000
R10: ffff8100dfd391c0 R11: ffff81010bcb1010 R12: ffff81010bcb1000
R13: ffff8100dfd39180 R14: ffff8100dfd391c0 R15: ffff81010bcb1010
FS:  00007fb8cc0c0780(0000) GS:ffff810117c02780(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 000000011178c000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process Xorg (pid: 4929, threadinfo ffff8101090d4000, task ffff810109116000)
Stack:  ffff8100dfd391c0 ffff8101104ba800 ffff8101090d5d58 ffffffff884fe4a0
 ffff81010bcb100c ffff81010bcb1000 ffff8101090d5d68 ffffffff88507eb2
 ffff8101090d5da8 ffffffff884d0c8f 0000000000000000 ffff81010bcb100c
Call Trace:
 [<ffffffff884fe4a0>] :radeon:radeon_do_release+0x4f/0x12a
 [<ffffffff88507eb2>] :radeon:radeon_driver_lastclose+0x9/0xb
 [<ffffffff884d0c8f>] :drm:drm_lastclose+0x61/0x2ce
 [<ffffffff884d159e>] :drm:drm_release+0x478/0x495
 [<ffffffff810a4e33>] __fput+0xca/0x189
 [<ffffffff810a4f06>] fput+0x14/0x16
 [<ffffffff810a21fc>] filp_close+0x66/0x71
 [<ffffffff81035312>] put_files_struct+0x74/0xc8
 [<ffffffff810353ad>] __exit_files+0x47/0x50
 [<ffffffff81036b83>] do_exit+0x299/0x656
 [<ffffffff81036fbb>] do_group_exit+0x7b/0x96
 [<ffffffff81036fe8>] sys_exit_group+0x12/0x14
 [<ffffffff8100c052>] tracesys+0xd5/0xda


Code: 88 48 c7 c7 d3 02 51 88 31 c0 e8 e0 78 d9 f8 eb 03 89 53 28 0f ae f0 83 bb
88 00 00 00 00 74 0f 48 8b 83 20 01 00 00 48 8b 40 18 <8b> 00 eb 11 48 8b 83 f8
03 00 00 48 8b 40 18 8b 80 10 07 00 00 
RIP  [<ffffffff884fd73f>] :radeon:radeon_do_cp_idle+0x169/0x1af
 RSP <ffff8101090d5d28>
CR2: 0000000000000000
---[ end trace f346cca8dbfe43de ]---
Comment 9 Matěj Cepl 2008-07-14 18:42:38 EDT
Let's keep that crash in bug 455272 and the only issue in this bug remains
gnome-display-properties insisting on mirroring in dual-head situation.

Is it OK?
Comment 10 Jack Tanner 2008-07-15 11:03:53 EDT
Great, sounds good. For gnome-display-properties, should the component be
changed to control-center? Does the bug assignee change?
Comment 11 Jack Tanner 2008-10-28 11:20:47 EDT
gnome-display-properties still insists on mirroring with dual displays in F10 beta 3. Updating summary, version. Please reassign components if necessary.
Comment 12 Bug Zapper 2008-11-25 21:20:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Jack Tanner 2008-12-12 15:44:43 EST
Works in F10 with dual displays configured in xorg.conf. Did not test without xorg.conf.

Note You need to log in before you can comment on or make changes to this bug.